Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.filetransfer
Interface FileTransferListener

All Known Implementing Classes:
  SimpleFileTransferListener

    public interface FileTransferListener

Method Summary
`void` | `fileTransferred(FileReceipt receipt, long bytesTransferred, long total, boolean incoming)`
`void` | `msgTransferred(BBReceipt receipt, int bytesTransferred, int total, boolean incoming)`
`void` | `transferCancelled(Receipt receipt, boolean incoming)`
`void` | `transferFailed(Receipt receipt, boolean incoming)`

Method Detail

### fileTransferred

    void fileTransferred(FileReceipt receipt,
                         long bytesTransferred,
                         long total,
                         boolean incoming)

  Parameters:
    `receipt` - description of what is being transferred
    `bytesTransferred` - the bytes that have been transferred so far
    `total` - bytes that will be transferred
    `incoming` - true if downloding, false if uploading

### msgTransferred

    void msgTransferred(BBReceipt receipt,
                        int bytesTransferred,
                        int total,
                        boolean incoming)

  Parameters:
    `receipt` - description of what is being transferred
    `bytesTransferred` - the bytes that have been transferred so far
    `total` - bytes that will be transferred
    `incoming` - true if downloding, false if uploading

### transferCancelled

    void transferCancelled(Receipt receipt,
                           boolean incoming)

  Parameters:
    `receipt` - the item that was cancelled
    `incoming` - true if it's a download that was cancelled, false if it was an upload that was cancelled

### transferFailed

    void transferFailed(Receipt receipt,
                        boolean incoming)

  Parameters:
    `receipt` - the item that failed
    `incoming` - true if it's a download that was cancelled, false if it was an upload that was cancelled

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.